Skip to content

Healthcheck for Atomic Creatives

Request

Endpoint to check the health of atomic creatives by ID(s).

Security
Auth0(Required scopes: offline_accessmanage:services)
Query
qstringrequired

Query parameter to specify the atomic creative ID(s). Format:

  • For multiple IDs: atomic_creative_id==(id1, id2)
  • For a single ID: atomic_creative_id==id
Examples:
Single ID
q=atomic_creative_id==11884513
Multiple IDs
q=atomic_creative_id==(11884513, 11884508)
GET
/atomic_creatives/healthcheck
curl -i -X GET \
  'https://api.mediamath.com/api/v3.0/atomic_creatives/healthcheck?q=atomic_creative_id%3D%3D11884513' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Atomic creative healthcheck response

Bodyapplication/json
dataArray of objects(atomic_creative_healthcheck_response)
metaobject(pagination metadata)
Response
{ "data": [ {} ], "meta": { "status": "success", "count": 1, "offset": 0, "total_count": 1 } }